MRClientProtocolPBServiceImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.impl.pb.service, class: MRClientProtocolPBServiceImpl

Package org.apache.hadoop.mapreduce.v2.api.impl.pb.service

# Class MRClientProtocolPBServiceImpl

java.lang.Object
org.apache.hadoop.mapreduce.v2.api.impl.pb.service.MRClientProtocolPBServiceImpl

All Implemented Interfaces:
  `MRClientProtocolPB`, `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`

Direct Known Subclasses:
  `HSClientProtocolPBServiceImpl`

public class MRClientProtocolPBServiceImpl extends Object implements MRClientProtocolPB

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MRClientProtocolPBServiceImpl(MRClientProtocol impl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenResponseProto`
  `cancelDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenRequestProto proto)`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.FailTaskAttemptResponseProto`
  `failTaskAttempt(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.FailTaskAttemptRequestProto proto)`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetCountersResponseProto`
  `getCounters(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetCountersRequestProto proto)`
  `org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenResponseProto`
  `getDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenRequestProto proto)`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetDiagnosticsResponseProto`
  `getDiagnostics(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetDiagnosticsRequestProto proto)`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetJobReportResponseProto`
  `getJobReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetJobReportRequestProto proto)`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsResponseProto`
  `getTaskAttemptCompletionEvents(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto proto)`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptReportResponseProto`
  `getTaskAttemptReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptReportRequestProto proto)`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportResponseProto`
  `getTaskReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportRequestProto proto)`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsResponseProto`
  `getTaskReports(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsRequestProto proto)`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillJobResponseProto`
  `killJob(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillJobRequestProto proto)`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillTaskResponseProto`
  `killTask(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillTaskRequestProto proto)`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillTaskAttemptResponseProto`
  `killTaskAttempt(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillTaskAttemptRequestProto proto)`
  `org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto`
  `renewDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenRequestProto proto)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MRClientProtocolPBServiceImpl

    public MRClientProtocolPBServiceImpl(MRClientProtocol impl)

- ## Method Details

  - ### getJobReport

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetJobReportResponseProto getJobReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetJobReportRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getJobReport` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getTaskReport

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportResponseProto getTaskReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getTaskReport` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getTaskAttemptReport

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptReportResponseProto getTaskAttemptReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptReportRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getTaskAttemptReport` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getCounters

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetCountersResponseProto getCounters(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetCountersRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getCounters` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getTaskAttemptCompletionEvents

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsResponseProto getTaskAttemptCompletionEvents(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getTaskAttemptCompletionEvents` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getTaskReports

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsResponseProto getTaskReports(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskReportsRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getTaskReports` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getDiagnostics

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetDiagnosticsResponseProto getDiagnostics(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetDiagnosticsRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getDiagnostics` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getDelegationToken

    public org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenResponseProto getDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getDelegationToken` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### killJob

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillJobResponseProto killJob(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillJobRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `killJob` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### killTask

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillTaskResponseProto killTask(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillTaskRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `killTask` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### killTaskAttempt

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillTaskAttemptResponseProto killTaskAttempt(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.KillTaskAttemptRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `killTaskAttempt` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### failTaskAttempt

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.FailTaskAttemptResponseProto failTaskAttempt(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.FailTaskAttemptRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `failTaskAttempt` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### renewDelegationToken

    public org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto renewDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `renewDelegationToken` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### cancelDelegationToken

    public org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenResponseProto cancelDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenRequestProto proto) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `cancelDelegationToken` in interface `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`